Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.web.dhtml
Class DHTMLUtil

    java.lang.Object
      jet.web.dhtml.DHTMLUtil

    public class DHTMLUtil

extends java.lang.Object

This is a utility class which can be directly invoked in JSPs.

Support the running of multiple report sets in one session, and a report set can include one or more reports.

Descriptions of some key terms:

sessionId: the key of the session in the server (generated by the server automatically when you log in), and users can invoke DHTMLUtil.getSessionID(HttpServletRequest request) to get the key.

rptSetId: the key of the report set in DHTML (generated automatically after the report set has been run), and users can invoke DHTMLUtil.getRptSetId(HttpServletRequest request) to get the key.

rptName: the key of the report in DHTML (retrieved from the report set after the report set has been run), and users can invoke DHTMLUtil.getRptName(HttpServletRequest request) to get the key.

Constructor Summary
`DHTMLUtil()`

Method Summary
`static java.lang.String` | `buildRuntimeID(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Builds runtimeID for backwards compatibility.
`static java.lang.String` | `getErrorMsg(int checkCode)`
`static java.lang.String` | `getReportRealPath(java.lang.String userId, java.lang.String fileName)` Gets the real path and name of the report set.
`static java.lang.String` | `getRptName(HttpServletRequest request)` Gets the report name from the request.
`static java.lang.String` | `getRptSetId(HttpServletRequest request)` Gets the report set id from the request.
`static java.lang.String` | `getSessionID(HttpServletRequest request)` Gets the session id from the request.
`static UserSession` | `getUserSession(HttpServletRequest request)` Gets a UserSession instance from the request.
`static java.util.Map` | `runReport(HttpServletRequest request, java.util.Map runParams)` Runs a report set.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DHTMLUtil

    public DHTMLUtil()

Method Detail

### buildRuntimeID

    public static java.lang.String buildRuntimeID(java.lang.String sessionId,
                                                  java.lang.String rptSetId,
                                                  java.lang.String rptName)

  Builds runtimeID for backwards compatibility.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    runtimeID the runtime id.

### getErrorMsg

    public static java.lang.String getErrorMsg(int checkCode)

  Parameters:
    `checkCode` - the key of the information code generated after the report set has been run.
  Returns:
    error msg or null.

### getReportRealPath

    public static java.lang.String getReportRealPath(java.lang.String userId,
                                                     java.lang.String fileName)

  Gets the real path and name of the report set.

  Parameters:
    `userId` - user name.
    `fileName` - the relative path and name of the report set.
  Returns:
    the real path and name of the report set.

### getRptSetId

    public static java.lang.String getRptSetId(HttpServletRequest request)

  Gets the report set id from the request.

  Parameters:
    `request` - HttpServletRequest.
  Returns:
    the report set id.

### getRptName

    public static java.lang.String getRptName(HttpServletRequest request)

  Gets the report name from the request.

  Parameters:
    `request` - HttpServletRequest.
  Returns:
    the report name.

### getSessionID

    public static java.lang.String getSessionID(HttpServletRequest request)

  Gets the session id from the request.

  Parameters:
    `request` - HttpServletRequest.
  Returns:
    String the session id.

### getUserSession

    public static UserSession getUserSession(HttpServletRequest request)

  Gets a UserSession instance from the request.

  Parameters:
    `request` - HttpServletRequest.
  Returns:
    a UserSession instance.

### runReport

    public static java.util.Map runReport(HttpServletRequest request,
                                          java.util.Map runParams)
                                   throws JDException

  Runs a report set.

  Parameters:
    `request` - HttpServletRequest. jrs.catalog jrs.report
    `runParams` - additional information for running the report set.
  Returns:
    the information about a report set.
  Throws:
    `JDException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD